ZABBIXをPHP5.3で動かしたときのエラー

ZABBIXのWEBインタフェースをPHP5.3環境下で動かすと、エラーがたくさん表示されます。

Fedora 12でのZABBIX PHPエラー | gmt-24.net

によると、将来廃止予定の関数を利用しているための警告とのこと。

ZABBIXでエラーハンドラを置き換えているため、エラーレベルを変更しても表示されるので、
対策として、/usr/share/zabbix/include/config.inc.phpの
set_error_handler('zbx_err_handler');
をコメントアウトすればいいそうです。

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中